=== debian/changelog ===
kde3-style-qtcurve (1.8.5-0ubuntu1~precise4) precise; urgency=low

  * Precise version

 -- falkTX <falktx@gmail.com>  Tue, 20 Dec 2011 12:36:07 +0000

kde3-style-qtcurve (1.8.5-0ubuntu1~oneiric2) oneiric; urgency=low

  * Drop kde3 stuff for oneiric, build qt3 theme only

 -- falkTX <falktx@gmail.com>  Sat, 27 Aug 2011 21:23:21 +0100

kde3-style-qtcurve (1.8.5-0ubuntu1~oneiric1) oneiric; urgency=low

  * Oneiric build

 -- falkTX <falktx@gmail.com>  Fri, 26 Aug 2011 12:28:08 +0100

kde3-style-qtcurve (1.8.5-0ubuntu1~lucid1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Mon, 09 May 2011 18:55:50 +0100

kde3-style-qtcurve (1.8.4-0ubuntu1~lucid1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Sat, 05 Mar 2011 20:35:30 +0000

kde3-style-qtcurve (1.8.3-0ubuntu1~lucid5) lucid; urgency=low

  * New upstream release, Trinity compatible

 -- falkTX <falktx@gmail.com>  Tue, 04 Jan 2011 02:41:39 +0000

kde3-style-qtcurve (1.6.2-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Sun, 17 Oct 2010 14:31:52 +0100

kde3-style-qtcurve (1.5.0-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Wed, 30 Jun 2010 16:51:00 +0100

kde3-style-qtcurve (1.4.1-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Wed, 19 May 2010 11:31:04 +0100

kde3-style-qtcurve (1.3.1-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Mon, 19 Apr 2010 18:57:22 +0100

kde3-style-qtcurve (1.1.1-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Tue, 16 Mar 2010 23:16:04 +0000

kde3-style-qtcurve (1.0.0-0ubuntu0+ppa1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Tue, 26 Jan 2010 14:32:38 +0000

kde3-style-qtcurve (0.69.1-0ubuntu0+ppa1) lucid; urgency=low

  * Initial release
  * (QtCurve for KDE3!!)

 -- falkTX <falktx@gmail.com>  Mon, 04 Jan 2010 15:02:17 +0000
