=== debian/control ===
Source: kde3-style-qtcurve
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.4), quilt (>= 0.46-7), cmake, pkg-kde-tools (>= 0.5),
 libqt3-mt-dev, libx11-dev
Standards-Version: 3.8.3
Homepage: http://www.kde-look.org/content/show.php?content=40492

Package: kde3-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kde-style-qtcurve, gtk2-engines-qtcurve
Description: Unified widget styles for KDE and GTK+
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 This package contains the QtCurve widget style for KDE 3.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.
