=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes

%:
	dh --with quilt,kde $@

get-orig-source:
	uscan --verbose --force-download --no-symlink
	bunzip2 -c ../QtCurve-KDE4-$(UPSTREAM_VERSION).tar.bz2 | gzip -9c > ../kde-style-qtcurve_$(UPSTREAM_VERSION).orig.tar.gz

.PHONY: override_dh_auto_test
