=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=1 http://home.freeuk.com/cpdrummond/QtCurve-KDE4-([0-9.]*).tar.bz2
